Skip to main content
`Ctrl`+`K`

# SNESQNSetType

Sets the quasi-Newton variant to be used in `SNESQN`.

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESQNSetType(SNES snes, SNESQNType qtype)

Logically Collective

## Input Parameters

- snes - the iterative context

- qtype - variant type, see `SNESQNType`

## Options Database Key

- -snes_qn_type <lbfgs,broyden,badbroyden> - quasi-Newton type

## See Also

SNES: Nonlinear Solvers, `SNESQN`, `SNES_QN_LBFGS`, `SNES_QN_BROYDEN`, `SNES_QN_BADBROYDEN`, `SNESQNType`, `SNESQNScaleType`, `TAOLMVM`, `TAOBLMVM`

## Level

intermediate

## Location

src/snes/impls/qn/qn.c

## Implementations

SNESQNSetType_QN() in src/snes/impls/qn/qn.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages